List an entity's RPC actos
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/mx/rpc/actos \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/mx/rpc/actos"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/mx/rpc/actos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/RpcActo",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/mx/rpc/actos",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"formaPrecodificada": "M0 - ...",
"acto": "<string>",
"nci": "<string>",
"fechaDeIngreso": "01/01/2017 12:00:00 T.CENTRO",
"fechaDeInscripcion": "01/01/2017 12:00:00 T.CENTRO",
"numeroDeDocumento": "<string>",
"modalidad": "<string>",
"data": {},
"file": {
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/rpc/actos/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "RpcActo"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Actos
List an entity's RPC actos
List RPC actos extracted for an entity. Use this endpoint when your integration needs individual registry acts rather than the complete RPC entidade response.
GET
/
entities
/
{entityId}
/
datasources
/
mx
/
rpc
/
actos
List an entity's RPC actos
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Filter by the lookup type of the related RPC entidade (exact match) Search source that produced the RPC entidade
Available options:
entity, shareholder Example:
"entity"
Response
RPC actos collection response
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/mx/rpc/actos"
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I